API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen
Entity · dms_shares

DMS Share Schema

Schema-ID
dms_share
Collection
dms_shares
Permissions
  • Lesendms_share_view
  • Anlegendms_share_create
  • Änderndms_share_edit
  • Löschendms_share_delete

Felder

DMS Share Schema

dms_shares4 Permissions

Document share configuration (internal user or external link)

documentIduuiderforderlich

Reference to dms_document

shareTypestringerforderlich

Internal (user/role) or external (public link)

INTERNALEXTERNAL_LINK
sharedWithUserIduuidoptional

User this document is shared with (internal)

nullable
sharedWithRoleIduuidoptional

Role this document is shared with (internal)

nullable
permissionstringoptional

Permission level granted by this share

VIEWCOMMENTEDIT
Default: "VIEW"
tokenstringoptional

Unique token for external access (UUIDv7)

read-onlynullable
passwordHashstringoptional

bcrypt hash of optional access password

read-onlynullable
expiresAtdatetimeoptional

When the share link expires

nullable
maxDownloadsnumberoptional

Maximum number of downloads allowed

≥ 1nullable
downloadCountnumberoptional

Current download count

Default: 0read-only
allowDownloadbooleanoptional

Whether the recipient can download the file

Default: true
messagestringoptional

Optional message to the recipient

max 1000 Zeichennullable
isActivebooleanoptional
Default: true
lastAccessedAtdatetimeoptional
read-onlynullable
accessCountnumberoptional

Total number of times this share was accessed

Default: 0read-only

Standard-Endpoints

Diese Resource folgt dem generischen CRUD-Vertrag der Plattform. Lesen Sie die Konventionen für Pagination, Idempotenz, Optimistic Locking und Audit. Die wichtigsten Endpoints:

  • GET /api/v1/dms_shares — Liste, paginiert + filterbar
  • GET /api/v1/dms_shares/<id> — Einzelne Entity
  • POST /api/v1/dms_shares — Anlegen
  • PATCH /api/v1/dms_shares/<id> — Teil-Update
  • DELETE /api/v1/dms_shares/<id> — Soft-Delete
  • GET /api/v1/dms_shares/<id>/timeline — Audit + Aktivitäten

Suche